# Project-wide Gradle settings.

# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.

# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html

# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
# Default value: -Xmx1024m -XX:MaxPermSize=256m
org.gradle.jvmargs=-Dkotlin.daemon.jvm.options=--illegal-access=permit

# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
org.gradle.parallel=true

# Gradle will try to reuse outputs from previous builds for all builds, unless
# explicitly disabled with --no-build-cache.
# https://docs.gradle.org/current/userguide/build_cache.html
org.gradle.caching=true

# To detect changes on the file-system, and to calculate what needs to be rebuilt, Gradle collects
# information about the file-system in-memory during every build (aka Virtual File-System).
# https://docs.gradle.org/current/userguide/gradle_daemon.html#sec:daemon_watch_fs
org.gradle.vfs.watch=true

# Enables parallel tasks execution within a project with Workers API.
# Does not enable using actual worker proccesses
# (Kotlin Daemon can be shared which uses less memory)
kotlin.parallel.tasks.in.project=true

## Kapt performance improvements.
# Use the Gradle worker API for parallel execution of kapt tasks.
# https://kotlinlang.org/docs/reference/kapt.html#running-kapt-tasks-in-parallel-since-1260
# NOTE: May break Hilt codegen
kapt.use.worker.api=true
# Turn off the discovery of annotation processors in the compile classpath.
# To use the Gradle compile avoidance.
# Compile avoidance can't be used for annotation processors discovered in the compile classpath
# since any changes in them require running the annotation processing tasks.
# https://kotlinlang.org/docs/reference/kapt.html#compile-avoidance-for-kapt-since-1320
kapt.include.compile.classpath=false

# Notify Android Gradle Plugin that we use AndroidX and not use Jetifier
android.useAndroidX=true
android.enableJetifier=false

# Use official kotlin code style
kotlin.code.style=official

